<p>
   Is your iPhone in desperate need of repair? Are you starting to become hysterical with panic? 
   Stop worrying and let one of experts return your calm and serenity. 
   We are the experts when it comes to iPhone repair and replacement and cover every make and model.
</p>

<p>
    Think we can’t handle your iPhone repair? Think again! We have a huge catalog of iPhone repairs that includes (but is not limited to): 
    home buttons, headphone jacks, volume controls, vibrate switches, iPhone battery repair, cameras, backplate replacement, charging ports, 
    and water damage. iCarePro’s highly trained repair technicians can complete most iPhone screen repairs while you wait! (Completion times 
    vary from store to store due to staffing, volume of repairs, and part availability.)
</p>

<p>
    You’ve come to the right place and we look forward to getting your beloved iPhone back in tip top condition. 
    Drop in today at one of our convenient locations or send us your iPhone by mail for repair or part replacement.
</p>